Public Member Functions | Public Attributes | List of all members
libfreehand::FHGraphicStyle Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHGraphicStyle ()

## Public Attributes
unsigned | m_parentId
unsigned | m_attrId
std::map< unsigned, unsigned > | m_elements

## Constructor & Destructor Documentation

## ◆ FHGraphicStyle()

libfreehand::FHGraphicStyle::FHGraphicStyle | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_attrId

unsigned libfreehand::FHGraphicStyle::m_attrId

Referenced by libfreehand::FHCollector::_findFillId(), libfreehand::FHCollector::_findFilterAttributeHolder(), libfreehand::FHCollector::_findStrokeId(), and libfreehand::FHParser::readGraphicStyle().

## ◆ m_elements

std::map<unsigned, unsigned> libfreehand::FHGraphicStyle::m_elements

Referenced by libfreehand::FHCollector::_findContentId(), and libfreehand::FHParser::readGraphicStyle().

## ◆ m_parentId

unsigned libfreehand::FHGraphicStyle::m_parentId

Referenced by libfreehand::FHCollector::_appendFillProperties(), libfreehand::FHCollector::_appendStrokeProperties(), and libfreehand::FHParser::readGraphicStyle().

The documentation for this struct was generated from the following file:

- FHTypes.h